image: docker

services:
  - docker:dind

variables:
  DOCKER_DRIVER: overlay2

stages:
  - build
  - qa

before_script:
  - apk --no-cache add make

install:
  stage: build
  tags: [docker]
  cache:
    paths:
      - vendor
  artifacts:
    paths:
      - vendor
  script:
    - make install-deps

phpstan:
  stage: qa
  tags: [docker]
  dependencies:
    - install
  script:
    - make phpstan

test:
  stage: qa
  tags: [docker]
  dependencies:
    - install
  script:
    - make test

